package com.YuyeTech.TPlat.service;

import com.YuyeTech.TPlat.dataobject.WeightInfo;
import org.springframework.data.domain.Pageable;

import java.util.Map;

/**
 * @author:slambb
 * @date:2019/12/31
 */
public interface WeightInfoService {
    WeightInfo findWeightInfoById(String userId);
    WeightInfo addWeightInfo(WeightInfo weightInfo);

    /***
     * 查询所有的体重值
      * @return
     */
    Map findAll(String userId);


    Map findWeightInfoByPage(String userId,Pageable pageable);
}
